Bug 85888 - Applets not adapting in size when moving between panels of different sizes
Applets not adapting in size when moving between panels of different sizes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-10 07:16 EST by Mikael Carneholm
Modified: 2007-04-18 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 05:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sceenshot of a moved applet (right one) besides a freshly added applet (left one) (72.96 KB, image/png)
2003-03-10 07:20 EST, Mikael Carneholm
no flags Details

  None (edit)
Description Mikael Carneholm 2003-03-10 07:16:53 EST
Description of Problem:
When moving applets between panels of different sizes, they do not adapt in size
properly.

Steps to reproduce the problem:
1. Start from a default desktop (a newly created user logs in for the first time)
2. Right-click on main panel->New Panel->Edge Panel
3. Enlarge the new panel (right-click on it and select Properties -> select X
Large in the Size selector)
4. Close the properties dialog
5. Right-click on the workspace switcher applet in the main panel and choose "Move"
6. In move mode, drag the applet to the new larger sized panel

Actual Results:
The applet does not fill the panel properly and looks distorted and warped.

Expected Results:
The applet should look like applets do after being freshly added to a panel.

How often does this happen?
Always.

Additional Information:
The bug behaves differently the other way around(i.e when moving from larger to
smaller panels). In these cases, instead the panel is slightly enlarged which
will make the existing applets being surrounded by empty space (best visible
when the recieving panel is transparent).
Comment 1 Mikael Carneholm 2003-03-10 07:20:35 EST
Created attachment 90540 [details]
Sceenshot of a moved applet (right one) besides a freshly added applet (left one)
Comment 2 Mikael Carneholm 2004-01-08 11:54:20 EST
Re-tested this on Fedora core 1, and the bug *seems* to be fixed. The
workspace switcher applet, volume control applet and windowlist applet
all adapt in size now. Only exception (I've found so far) was the
notification area applet, which kept it's size from the smaller panel.

Suggestion: test this with ALL AVAILABLE APPLETS FOR GNOME and check
that they behave as desired.

Regards,
- Mikael.
Comment 3 Mark McLoughlin 2004-07-19 05:38:03 EDT
Should be fixed these days.
Comment 4 Mikael Carneholm 2004-07-19 06:55:46 EDT
>> Should be fixed these days.

It is. Tried it with FC2 and everything worked fine.

Note You need to log in before you can comment on or make changes to this bug.